Generate an explorer balances reconciliation report
curl --request POST \
--url https://api.breezing.io/v1/reports/explorer-balances \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"dateTo": 1,
"tokens": [
"<string>"
],
"wallets": [
123
]
}
'import requests
url = "https://api.breezing.io/v1/reports/explorer-balances"
payload = {
"name": "<string>",
"description": "<string>",
"dateTo": 1,
"tokens": ["<string>"],
"wallets": [123]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
dateTo: 1,
tokens: ['<string>'],
wallets: [123]
})
};
fetch('https://api.breezing.io/v1/reports/explorer-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/reports/explorer-balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'dateTo' => 1,
'tokens' => [
'<string>'
],
'wallets' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/reports/explorer-balances"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"dateTo\": 1,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/reports/explorer-balances")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"dateTo\": 1,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/reports/explorer-balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"dateTo\": 1,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"reportId": 123,
"taskId": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Reports
Create Explorer Balances Report API
Generate a Breezing explorer balances report comparing computed wallet balances against live chain explorer data to flag mismatches.
POST
/
reports
/
explorer-balances
Generate an explorer balances reconciliation report
curl --request POST \
--url https://api.breezing.io/v1/reports/explorer-balances \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"dateTo": 1,
"tokens": [
"<string>"
],
"wallets": [
123
]
}
'import requests
url = "https://api.breezing.io/v1/reports/explorer-balances"
payload = {
"name": "<string>",
"description": "<string>",
"dateTo": 1,
"tokens": ["<string>"],
"wallets": [123]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
dateTo: 1,
tokens: ['<string>'],
wallets: [123]
})
};
fetch('https://api.breezing.io/v1/reports/explorer-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/reports/explorer-balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'dateTo' => 1,
'tokens' => [
'<string>'
],
'wallets' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/reports/explorer-balances"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"dateTo\": 1,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/reports/explorer-balances")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"dateTo\": 1,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/reports/explorer-balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"dateTo\": 1,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"reportId": 123,
"taskId": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Snapshot date (unix ms). Both the calculated and the explorer balances are compared as of this moment. Defaults to the submission time. UTXO chains (BTC, BCH, LTC, DOGE, DASH, ZEC) can only be checked against the current on-chain balance, so their rows are skipped when dateTo is more than 24 hours in the past.
Required range:
x > 0Last modified on July 5, 2026